import { DocumentationNode, TableNode, TableRowNode } from '../types';
import { ColumnName, ColumnObject } from '..';
import { PropType } from '@structured-types/api';
export declare type PropItem = Record<ColumnName, DocumentationNode[] | undefined | string> & {
    prop: PropType;
};
export declare type VisibleColumns = Record<ColumnName, boolean>;
export declare const createPropsRow: ({ name, type, default: defaultValue, parents, description, prop }: PropItem, columnOptions: ColumnObject, visColumns: VisibleColumns) => TableRowNode;
export declare const createPropsTable: (children: PropItem[], columnOptions: ColumnObject, prop: PropType) => {
    propsTable: DocumentationNode[];
    table?: TableNode | undefined;
    visibleColumns: VisibleColumns;
};
